[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.WriteLayoutDebugReport

Used for debugging.

## Declaration

Source position: controls.pp line 1688

`public procedure TControl.WriteLayoutDebugReport(`
`const Prefix: string`
`); virtual;`

## Arguments

`Prefix` |  | Prefix value inserted at the start of the first line in the debug report.

## Description

Formats and outputs bounds, alignment, and anchor information for the debugger.